#include <iostream>

using namespace std;

int main()
{
    int n,b,j;
    cin>>n;
    int a[n][n];
    for(int i=0;i<n;i++)
    {
         for(j=0;j<n;j++)
            a[i][j]=0;
    }
    for(int i=0;i<n;i++)
    {
        cin>>b>>j;
        a[b-1][j-1]=1;
    }
    if(n==1){
        cout<<0;
    }
    else{
      if(n==2)
      {
         if(a[0][0]==a[1][1])
         {
            cout<<0;
          }
        else{cout<<1;}
    }
    else
        cout<<0;
    }
    return 0;
}